const ApiKeys = { name: 'api-keys', builder: function (privateClient, publicClient) {
  privateClient.declareType('credentials', {
    // TODO add schema
  });

  return {
    exports: {
      set (serviceName, credentials = {}) {
        return privateClient.storeObject('credentials', serviceName, credentials);
      },

      get (serviceName) {
        return privateClient.getObject(serviceName);
      },

      remove (serviceName) {
        return privateClient.remove(serviceName);
      }
    }
  }
}};

export default ApiKeys;
